Name: codeblocks
Version: 1.0
Release: alt0.svn3450

Summary: Code::Blocks is open source, cross platform free C++ IDE
Summary(ru_RU.UTF-8): Code::Blocks это кросс-платформенная свободная среда разработки для C++ с открытым исходным кодом

License: GPL
Group: Development/C++
Url: http://www.codeblocks.org
Packager: Denis Kirienko <dk@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name-%version-alt-icons.tar.bz2
Patch0: %name-1.0svn1652-alt-warnings-fix.patch
Patch1: %name-1.0svn2975-alt-config-desktop.patch
Patch2: %name-1.0svn2975-alt-qt4-scriptwizard.patch

BuildPreReq: desktop-file-utils shared-mime-info wxGTK2u-devel gcc-c++ libgtk+2-devel zip sed grep
Requires(post,postun): shared-mime-info >= 0.15-alt2
Requires(post,postun): desktop-file-utils

%set_verify_elf_skiplist %_datadir/%name/*

%description
Code::Blocks is a free C++ IDE built specifically to meet the most demanding needs of its users. It was designed, right from the start, to be extensible and configurable. Built around a plugin framework, Code::Blocks can be extended with plugin DLLs. It includes a plugin wizard so you can compile your own plugins!

%description -l ru_RU.UTF-8
Code::Blocks это свободная IDE для C++, которая создана для удовлетворения множества требований её пользователей. Она разрабатывалась с самого начала, как расширяемая и легко настраиваемая. Собранная с поддержкой плагинов Code::Blocks может быть расширена с помощью подключаемых библиотек.

%package contrib
Summary: Code::Blocks contrib plugins
Summary(ru_RU.UTF-8): Дополнительные плагины для Code::Blocks
Group: Development/C++
Requires: codeblocks = %{version}-%{release}

%description contrib
Additional Code::Blocks plugins.

%description contrib -l ru_RU.UTF-8
Набор дополнительных плагинов для среды разработки Code::Blocks.

%package devel
Summary: Code::Blocks SDK
Group: Development/C++
Requires: codeblocks = %{version}-%{release}

%description devel
Code::Blocks SDK to develop your own plugins.

%description devel -l ru_RU.UTF-8
SDK для создания собственных плагинов к среде разработки Code::Blocks.

%define pkgdata %_datadir/%name

%prep
%setup -q -b 1

patch -p1 -i %PATCH0
patch -p1 -i %PATCH1
patch -p1 -i %PATCH2

# Turn off debug
sed -i 's|AM_CFLAGS = -Wall -g -DDEPSLIB_UNIX|AM_CFLAGS = -DDEPSLIB_UNIX|' src/plugins/compilergcc/depslib/src/Makefile.am

# dk@: we don't need more this hack because of we have a pack of all-size icons
# Install icon in /usr/share/icons/large instead of /usr/share/pixmaps
# sed -i 's|pixmapdir = $(datadir)/pixmaps|pixmapdir = $(datadir)/icons/large|' src/setup/mime/Makefile.am

# Set correct SVN revision based on package %release
echo -n %release | grep -E -o "[0-9]{4,}"  > revision.m4
sed -i 's|^|m4_define([SVN_REVISION], trunk-r|;s|$|)|' revision.m4

%build
./bootstrap
%configure --enable-contrib
%make_build --silent --no-print-directory

%install
%make_install --silent --no-print-directory DESTDIR=%buildroot install
install -m 644 -D alt-icons/16x16/%name.png %buildroot%_miconsdir/%name.png
install -m 644 -D alt-icons/32x32/%name.png %buildroot%_niconsdir/%name.png
install -m 644 -D alt-icons/48x48/%name.png %buildroot%_liconsdir/%name.png
install -m 644 -D alt-icons/64x64/%name.png %buildroot%_iconsdir/hicolor/64x64/apps/%name.png

%post
%update_menus
%update_desktopdb
%update_mimedb

%post devel
%post_ldconfig

%postun
%clean_menus
%clean_desktopdb
%clean_mimedb

%postun devel
%postun_ldconfig

%files

%doc README COPYING AUTHORS BUGS COMPILERS TODO NEWS ChangeLog
%_bindir/%name
%_bindir/cb_console_runner
%_libdir/libcodeblocks.so.*
%_datadir/applications/%name.desktop
%_datadir/application-registry/%name.applications
%_datadir/mime/packages/%name.xml
%_datadir/mime-info/*
%_mandir/man?/*
%dir %pkgdata
%{pkgdata}/astyle.zip
%{pkgdata}/autosave.zip
%{pkgdata}/classwizard.zip
%{pkgdata}/codecompletion.zip
%{pkgdata}/compiler.zip
%{pkgdata}/debugger.zip
%{pkgdata}/defaultmimehandler.zip
%{pkgdata}/manager_resources.zip
%{pkgdata}/resources.zip
%{pkgdata}/scriptedwizard.zip
%{pkgdata}/start_here.zip
%{pkgdata}/tips.txt
%{pkgdata}/todo.zip
%{pkgdata}/icons
%dir %{pkgdata}/images
%{pkgdata}/images/*.png
%{pkgdata}/images/16x16
%{pkgdata}/images/codecompletion
%{pkgdata}/images/settings
%{pkgdata}/lexers
%dir %{pkgdata}/plugins
%{pkgdata}/plugins/libastyle.*
%{pkgdata}/plugins/libautosave.*
%{pkgdata}/plugins/libclasswizard.*
%{pkgdata}/plugins/libcodecompletion.*
%{pkgdata}/plugins/libcompiler.*
%{pkgdata}/plugins/libdebugger.*
%{pkgdata}/plugins/libdefaultmimehandler.*
%{pkgdata}/plugins/libscriptedwizard.*
%{pkgdata}/plugins/libtodo.*
%{pkgdata}/scripts
%{pkgdata}/templates
%_iconsdir/*/*/*/*
%_pixmapsdir/*

%files contrib
%_bindir/cb_share_config
%{pkgdata}/byogames.zip
%{pkgdata}/cb_koders.zip
%{pkgdata}/codesnippets.zip
%{pkgdata}/codestat.zip
%{pkgdata}/dragscroll.zip
%{pkgdata}/envvars.zip
%{pkgdata}/exporter.zip
%{pkgdata}/help_plugin.zip
%{pkgdata}/keybinder.zip
%{pkgdata}/lib_finder.zip
%{pkgdata}/Profiler.zip
%{pkgdata}/SymTab.zip
%{pkgdata}/RegExTestbed.zip
%{pkgdata}/wxsmith.zip
%{pkgdata}/images/wxsmith
%{pkgdata}/images/codesnippets
%{pkgdata}/plugins/libbyogames.*
%{pkgdata}/plugins/libcb_koders.*
%{pkgdata}/plugins/libcodesnippets.*
%{pkgdata}/plugins/libcodestat.*
%{pkgdata}/plugins/libdragscroll.*
%{pkgdata}/plugins/libenvvars.*
%{pkgdata}/plugins/libexporter.*
%{pkgdata}/plugins/libhelp_plugin.*
%{pkgdata}/plugins/libkeybinder.*
%{pkgdata}/plugins/liblib_finder.*
%{pkgdata}/plugins/libProfiler.*
%{pkgdata}/plugins/libRegExTestbed.*
%{pkgdata}/plugins/libSymTab.*
%{pkgdata}/plugins/libwxsmith.*

%files devel
%_libdir/libcodeblocks.so
%_includedir/%name
%_pkgconfigdir/%name.pc

%changelog
* Wed Jan 10 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn3450
- New SVN snapshot
- Automatical creation of revision.m4 file before configure
- Added --enable-contrib option to the configure
- Splitted into three separate packages: codeblocks, codeblocks-contrib, codeblocks-devel
- Added set of icons according to requirements of new iconpaths policy

* Fri Nov 24 2006 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn3258
- New SVN snapshot

* Fri Oct 06 2006 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn3025
- New SVN snapshot 

* Sat Sep 14 2006 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn2975
- New maintainer
- New SVN snapshot
- Fixed Icon parameter in the desktop file
- Fixed Qt4 application wizard

* Wed Jan 04 2006 php-coder <php-coder@altlinux.ru> 1.0-alt0.svn1652
- Initial build for ALT Linux Sisyphus
- Added patch which fixes some warnings from compiler

